package com.controller;

import com.config.BaseController;
import com.config.ControllerInterface;
import com.jfinal.aop.Before;
import com.jfinal.aop.Clear;
import com.model.Book;
import com.model.BookDetail;
import com.model.BookPlus;
import com.service.BookService;
import com.service.BookYubianService;
import com.service.OrgBookFieldService;
import com.tools.JwtUtils;
import com.validator.BookValidator;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 图书操作
 * 2018-10-23
 * wush
 */
@ControllerInterface(path="/orgBookField")
public class OrgBookFieldController extends BaseController {
    OrgBookFieldService service = OrgBookFieldService.me;
    public void getById(){
        int id = this.getParaToInt("orgid", 0);
        if(id == 0){
            fail();
        }
        success(service.findById(id));
    }
}
